
_Main_Init:

;electronique_selecteur_002c_16F628.mpas,12 :: 		begin
;electronique_selecteur_002c_16F628.mpas,13 :: 		CMCON := CMCON or 7;  // comp off
	MOVLW      7
	IORWF      CMCON+0, 1
;electronique_selecteur_002c_16F628.mpas,14 :: 		TRISA := $00;         // all pins are outputs
	CLRF       TRISA+0
;electronique_selecteur_002c_16F628.mpas,15 :: 		TRISB := $0F;         // RB0..RB3 are inputs, RB4..RB7 are outputs
	MOVLW      15
	MOVWF      TRISB+0
;electronique_selecteur_002c_16F628.mpas,16 :: 		OPTION_REG := 0;      // let pullup enabled on PORTB
	CLRF       OPTION_REG+0
;electronique_selecteur_002c_16F628.mpas,17 :: 		T1CON := 0;
	CLRF       T1CON+0
;electronique_selecteur_002c_16F628.mpas,18 :: 		iVal := 0;
	CLRF       _iVal+0
;electronique_selecteur_002c_16F628.mpas,19 :: 		end;
L_end_Main_Init:
	RETURN
; end of _Main_Init

_Out_Dec:

;electronique_selecteur_002c_16F628.mpas,22 :: 		begin
;electronique_selecteur_002c_16F628.mpas,23 :: 		if ((iVal = 0) and In_Loop) then
	MOVF       _iVal+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RB2_bit+0, 2
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__Out_Dec3
;electronique_selecteur_002c_16F628.mpas,24 :: 		iVal := 15
	MOVLW      15
	MOVWF      _iVal+0
	GOTO       L__Out_Dec4
;electronique_selecteur_002c_16F628.mpas,25 :: 		else if iVal > 0 then
L__Out_Dec3:
	MOVF       _iVal+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L__Out_Dec6
;electronique_selecteur_002c_16F628.mpas,26 :: 		dec(iVal);
	DECF       _iVal+0, 1
L__Out_Dec6:
L__Out_Dec4:
;electronique_selecteur_002c_16F628.mpas,27 :: 		PORTA := iVal;
	MOVF       _iVal+0, 0
	MOVWF      PORTA+0
;electronique_selecteur_002c_16F628.mpas,28 :: 		end;
L_end_Out_Dec:
	RETURN
; end of _Out_Dec

_Out_Inc:

;electronique_selecteur_002c_16F628.mpas,31 :: 		begin
;electronique_selecteur_002c_16F628.mpas,32 :: 		if ((iVal = 15) and In_Loop) then
	MOVF       _iVal+0, 0
	XORLW      15
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      RB2_bit+0, 2
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__Out_Inc10
;electronique_selecteur_002c_16F628.mpas,33 :: 		iVal := 0
	CLRF       _iVal+0
	GOTO       L__Out_Inc11
;electronique_selecteur_002c_16F628.mpas,34 :: 		else if iVal < 15 then
L__Out_Inc10:
	MOVLW      15
	SUBWF      _iVal+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__Out_Inc13
;electronique_selecteur_002c_16F628.mpas,35 :: 		inc(iVal);
	INCF       _iVal+0, 1
L__Out_Inc13:
L__Out_Inc11:
;electronique_selecteur_002c_16F628.mpas,36 :: 		PORTA := iVal;
	MOVF       _iVal+0, 0
	MOVWF      PORTA+0
;electronique_selecteur_002c_16F628.mpas,37 :: 		end;
L_end_Out_Inc:
	RETURN
; end of _Out_Inc

_main:

;electronique_selecteur_002c_16F628.mpas,39 :: 		begin
;electronique_selecteur_002c_16F628.mpas,40 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_selecteur_002c_16F628.mpas,41 :: 		while true do
L__main17:
;electronique_selecteur_002c_16F628.mpas,45 :: 		Out_Enabled := In_AllOff xor 1;
	BTFSC      RB3_bit+0, 3
	GOTO       L__main33
	BSF        RB4_bit+0, 4
	GOTO       L__main34
L__main33:
	BCF        RB4_bit+0, 4
L__main34:
;electronique_selecteur_002c_16F628.mpas,48 :: 		if button(PORTB, 0, 150, 0) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      150
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main22
;electronique_selecteur_002c_16F628.mpas,50 :: 		Out_Dec;
	CALL       _Out_Dec+0
;electronique_selecteur_002c_16F628.mpas,51 :: 		Delay_ms(500);  // auto-repeat
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__main24:
	DECFSZ     R13+0, 1
	GOTO       L__main24
	DECFSZ     R12+0, 1
	GOTO       L__main24
	DECFSZ     R11+0, 1
	GOTO       L__main24
	NOP
	NOP
;electronique_selecteur_002c_16F628.mpas,52 :: 		end;
L__main22:
;electronique_selecteur_002c_16F628.mpas,55 :: 		if button(PORTB, 1, 150, 0) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      150
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main26
;electronique_selecteur_002c_16F628.mpas,57 :: 		Out_Inc;
	CALL       _Out_Inc+0
;electronique_selecteur_002c_16F628.mpas,58 :: 		Delay_ms(500);  // auto-repeat
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L__main28:
	DECFSZ     R13+0, 1
	GOTO       L__main28
	DECFSZ     R12+0, 1
	GOTO       L__main28
	DECFSZ     R11+0, 1
	GOTO       L__main28
	NOP
	NOP
;electronique_selecteur_002c_16F628.mpas,59 :: 		end;
L__main26:
;electronique_selecteur_002c_16F628.mpas,61 :: 		end;
	GOTO       L__main17
;electronique_selecteur_002c_16F628.mpas,62 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
